# About

https://nsidc.slack.com/archives/CRB96FG68/p1608311238016100

The data was delivered to us in two phases: Once in August 2020 and with fixes
in Janurary 2021. In August, the data was delivered via Dropbox upload. In
January, the data was provided via ramadda.science.uu.nl with username/password
access. See email in qgreenland.info@gmail.com mailbox from 2021-01-21 4:43PM
MT for full access information.


# Received files

* `{u,v}10m.1958-2019.BN_RACMO2.3p2_FGRN055_1km.YY-mean.nc.gz`
* `Icemask_Topo_Iceclasses_lon_lat_average_1km_GrIS.nc.gz`
* `<variable>.1958-2019.BN_RACMO2.3p2_FGRN055_1km.YY-mean.nc.gz`
  * `precip`
  * `refreeze`
  * `runoff`
  * `smb_rec`
  * `sndiv`
  * `snowfall`
  * `snowmelt`
  * `subl`
  * `t2m`


## August 2020

`RACMO_QGreenland_Aug2020.zip` is the original package provided by Brice on Dropbox.

This batch of files contained a `refreeze` file which could not be `gunzip`ed. Error:

```
gzip: refreeze.1958-2018.BN_RACMO2.3p2_FGRN055_1km.YYmean.nc.gz: unexpected end of file
```

This batch contained a calculated complete wind vector file ff10m which did not
match our own calculations, so we calculate our own wind vectors.

This batch contained an Icemask file which included the PROMICE mask,
topography, and grounded ice.


## January 2021

Instead of a zip, we downloaded each individual file from the server. See
`fetch.sh`. This contains the fix for the 0-byte `refreeze` file.

This batch did not include the ff10m file that we believe was inaccurate in the
last batch, so we need to calculate it ourselves.

NOTE: This batch included an Icemask file which included the PROMICE mask and
topography, but not grounded ice. We copy the Aug2020 icemask into the Jan2021
private archive location during preprocessing so we can extract the grounded
ice layer.


# Pre-processing

Fetch the data:

    ./fetch.sh

Pre-process for our pipelines:

    ./gunzip_rasters.sh
    python preprocess.py

The following files are generated by preprocessing scripts run on the received
files.


## Raster layers: `*.nc`

The raster layers are gzipped, but we don't have a pipeline step that handles
this. We have a huge revamp coming up, so we'll take care of this in
pre-processing for now.


## Calculated wind magnitudes: `magnitudes.tif`

The `./preprocess.py` script produces `magnitudes.tif` from the `u` and
`v` wind component netcdf files.


## Calculated wind vectors: `wind_vector_points.gpkg`

The `./preprocess.py` script produces `wind_vector_points.gpkg` to
include wind vector points derived from wind direction component magnitudes in
the `u10m` and `v10m` 1km component grids. Steps taken in this process:

* Generate `wind_vector_points.csv` from `u10m` and `v10m` input grids.
* Use `ogr2ogr` to convert `.csv` to `.gpkg`.

Clean up `wind_vector_points.csv` temporary file at the end if you want.
